package com.hw.dms.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.hw.common.core.annotation.Excel;
import com.hw.common.core.web.domain.BaseEntity;

/**
 * 设备安装信息对象 dms_base_device_install
 *
 * @author xins
 * @date 2024-01-02
 */
public class DmsBaseDeviceInstall extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    private Long deviceInstallId;

    /** 设备ID,关联dms_base_device_ledger的device_id */
    @Excel(name = "设备ID,关联dms_base_device_ledger的device_id")
    private Long deviceId;

    /** 安装地点 */
    @Excel(name = "安装地点")
    private String installPosition;

    /** 安装时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "安装时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date installTime;

    /** 安装人员 */
    @Excel(name = "安装人员")
    private String installPersion;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String workOrder;

    private String deviceName;

    private Date beginTime;

    private Date endTime;

    public Date getBeginTime() {
        return beginTime;
    }

    public void setBeginTime(Date beginTime) {
        this.beginTime = beginTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public String getDeviceName() {
        return deviceName;
    }

    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName;
    }

    public void setDeviceInstallId(Long deviceInstallId)
    {
        this.deviceInstallId = deviceInstallId;
    }

    public Long getDeviceInstallId()
    {
        return deviceInstallId;
    }
    public void setDeviceId(Long deviceId)
    {
        this.deviceId = deviceId;
    }

    public Long getDeviceId()
    {
        return deviceId;
    }
    public void setInstallPosition(String installPosition)
    {
        this.installPosition = installPosition;
    }

    public String getInstallPosition()
    {
        return installPosition;
    }
    public void setInstallTime(Date installTime)
    {
        this.installTime = installTime;
    }

    public Date getInstallTime()
    {
        return installTime;
    }
    public void setInstallPersion(String installPersion)
    {
        this.installPersion = installPersion;
    }

    public String getInstallPersion()
    {
        return installPersion;
    }
    public void setWorkOrder(String workOrder)
    {
        this.workOrder = workOrder;
    }

    public String getWorkOrder()
    {
        return workOrder;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("deviceInstallId", getDeviceInstallId())
            .append("deviceId", getDeviceId())
            .append("installPosition", getInstallPosition())
            .append("installTime", getInstallTime())
            .append("installPersion", getInstallPersion())
            .append("workOrder", getWorkOrder())
            .append("remark", getRemark())
            .append("createTime", getCreateTime())
            .append("createBy", getCreateBy())
            .append("updateTime", getUpdateTime())
            .append("updateBy", getUpdateBy())
            .toString();
    }
}
